Skip to main content
POST
/
v1
/
au
/
medicare
/
verifications
Verify medicare card
curl --request POST \
  --url https://api.halth.com/v1/au/medicare/verifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memberNumber": "3951330061",
  "referenceNumber": "1",
  "lastName": "Haywood",
  "dateOfBirth": "1975-04-03",
  "firstName": "Brant",
  "secondInitial": "B",
  "sex": "M",
  "effectiveDate": "2023-11-07T05:31:56Z"
}
'
{
  "id": "mdvf_1234567890",
  "status": "matched",
  "createdAt": "2025-01-01T00:00:00.000Z",
  "effectiveDate": "2025-01-01",
  "message": "Patient is eligible to claim for Medicare with details provided.",
  "adviceCode": "check_date_of_birth",
  "medicareCardId": "mccd_1234567890"
}

Authorizations

Authorization
string
header
required

Provide your API key as a Bearer token

Body

application/json
memberNumber
string
required

Member number

Required string length: 10
Example:

"3951330061"

referenceNumber
string
required

Individual reference number / position on card

Pattern: /^[1-9]$/
Example:

"1"

lastName
string
required

Last name

Required string length: 1 - 40
Example:

"Haywood"

dateOfBirth
string
required

Date of birth in format yyyy-mm-dd

Example:

"1975-04-03"

firstName
string

First name

Required string length: 1 - 40
Example:

"Brant"

secondInitial
string

Second initial

Required string length: 1
Example:

"B"

sex
enum<string>

Sex

Available options:
M,
F,
U
Example:

"M"

effectiveDate
string<date-time>

Effective date of the verification. Default to current date. Cannot be in the future or more than 2 years ago.

Response

200 - application/json
id
string
required

ID of the verification

Example:

"mdvf_1234567890"

status
enum<string>
required

Status of the patient verification

Available options:
matched,
partial_match,
no_match,
failed
Example:

"matched"

createdAt
string<date-time>
required

Date and time of the verification

Example:

"2025-01-01T00:00:00.000Z"

effectiveDate
string<date-time>
required

Effective date of the verification

Example:

"2025-01-01"

message
string

Message of the patient verification

Example:

"Patient is eligible to claim for Medicare with details provided."

adviceCode
enum<string>

Advice code of the patient verification

Available options:
check_date_of_birth,
check_first_name,
check_last_name,
check_medicare_number,
check_reference_number,
check_patient_details,
new_card_issued,
cannot_confirm
Example:

"check_date_of_birth"

medicareCardId
string

ID of the Medicare card

Example:

"mccd_1234567890"